<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:20 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MainActivity</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MainActivity";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html" title="class in com.playground.drawingar"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/playground/drawingar/PermissionsActivity.html" title="class in com.playground.drawingar"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/playground/drawingar/MainActivity.html" target="_top">Frames</a></li>
<li><a href="MainActivity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.android.support.v4.app.SupportActivity">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar</div>
<h2 title="Class MainActivity" class="title">Class MainActivity</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>android.content.Context</li>
<li>
<ul class="inheritance">
<li>android.content.ContextWrapper</li>
<li>
<ul class="inheritance">
<li>android.view.ContextThemeWrapper</li>
<li>
<ul class="inheritance">
<li>android.app.Activity</li>
<li>
<ul class="inheritance">
<li>android.support.v4.app.SupportActivity</li>
<li>
<ul class="inheritance">
<li>android.support.v4.app.FragmentActivity</li>
<li>
<ul class="inheritance">
<li>android.support.v7.app.AppCompatActivity</li>
<li>
<ul class="inheritance">
<li><a href="../../../com/playground/drawingar/BaseActivity.html" title="class in com.playground.drawingar">com.playground.drawingar.BaseActivity</a></li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.MainActivity</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.opengl.GLSurfaceView.Renderer, android.support.v4.app.ActivityCompat.OnRequestPermissionsResultCallback, android.support.v4.app.ActivityCompat.RequestPermissionsRequestCodeValidator, android.support.v4.app.TaskStackBuilder.SupportParentable, android.support.v4.view.KeyEventDispatcher.Component, android.support.v7.app.ActionBarDrawerToggle.DelegateProvider, android.support.v7.app.AppCompatCallback, android.view.KeyEvent.Callback, android.view.LayoutInflater.Factory, android.view.LayoutInflater.Factory2, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MainActivity</span>
extends <a href="../../../com/playground/drawingar/BaseActivity.html" title="class in com.playground.drawingar">BaseActivity</a>
implements android.opengl.GLSurfaceView.Renderer</pre>
<div class="block">Основной экран приложения, в котором происходит работа с дополненной реальностью.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.support.v4.app.SupportActivity">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;android.support.v4.app.SupportActivity</h3>
<code>android.support.v4.app.SupportActivity.ExtraData</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.concurrent.atomic.AtomicBoolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#bClearDrawing">bClearDrawing</a></span></code>
<div class="block">Пользователь решил удалить все линии.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.concurrent.atomic.AtomicBoolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#bNewStroke">bNewStroke</a></span></code>
<div class="block">Новая линия.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.concurrent.atomic.AtomicInteger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#bSelectedColor">bSelectedColor</a></span></code>
<div class="block">Идентификатор ресурса текущего цвета линий.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.concurrent.atomic.AtomicBoolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#bTouchDown">bTouchDown</a></span></code>
<div class="block">Линия в процессе построения.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.concurrent.atomic.AtomicBoolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#bUndo">bUndo</a></span></code>
<div class="block">Пользователь отменил последнее действие.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#FAR_CLIP">FAR_CLIP</a></span></code>
<div class="block">Расстояние до дальней секущей плоскости.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#LINE_WIDTH">LINE_WIDTH</a></span></code>
<div class="block">Толщина создаваемых линий.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../com/playground/drawingar/rendering/BackgroundRenderer.html" title="class in com.playground.drawingar.rendering">BackgroundRenderer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mBackgroundRenderer">mBackgroundRenderer</a></span></code>
<div class="block">Визуализатор видеопотока.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.widget.ImageView</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mBrushColorOval">mBrushColorOval</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private android.widget.FrameLayout</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mBrushColorPicker">mBrushColorPicker</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.widget.ImageButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mClearDrawingButton">mClearDrawingButton</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../com/playground/drawingar/helpers/DisplayRotationHelper.html" title="class in com.playground.drawingar.helpers">DisplayRotationHelper</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mDisplayRotationHelper">mDisplayRotationHelper</a></span></code>
<div class="block">Помощник при работе со сменой конфигурации экрана.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) com.google.ar.core.Frame</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mFrame">mFrame</a></span></code>
<div class="block">Следит за состоянием и изменениями в системе AR.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.vecmath.Vector2f</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mLastTouch">mLastTouch</a></span></code>
<div class="block">Координаты последнего касания.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering">LineShaderRenderer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mLineShaderRenderer">mLineShaderRenderer</a></span></code>
<div class="block">Визуализатор линий.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mMessageSnackbarHelper">mMessageSnackbarHelper</a></span></code>
<div class="block">Помощник при работе со снекбаром.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.google.ar.core.Pose</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mPlanePose">mPlanePose</a></span></code>
<div class="block">Плоскость, на которую проецируются линии.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../com/playground/drawingar/rendering/PointCloudRenderer.html" title="class in com.playground.drawingar.rendering">PointCloudRenderer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mPointCloudRenderer">mPointCloudRenderer</a></span></code>
<div class="block">Визуализатор множества маркеров.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) com.google.ar.core.Session</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mSession">mSession</a></span></code>
<div class="block">Управляет состоянием системы AR и жизненным циклом сеанса.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.util.List&lt;<a href="../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mStrokes">mStrokes</a></span></code>
<div class="block">Список всех линий.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.opengl.GLSurfaceView</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mSurfaceView">mSurfaceView</a></span></code>
<div class="block">Поверхность, на которой происходит отрисовка OpenGL.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.concurrent.atomic.AtomicReferenceArray&lt;javax.vecmath.Vector2f&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mTouchQueue">mTouchQueue</a></span></code>
<div class="block">Очередь касаний экрана.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.concurrent.atomic.AtomicInteger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mTouchQueueSize">mTouchQueueSize</a></span></code>
<div class="block">Размер заполненной очереди касаний экрана.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private android.widget.ImageButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mUndoButton">mUndoButton</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#mUserRequestedARCoreInstall">mUserRequestedARCoreInstall</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#NEAR_CLIP">NEAR_CLIP</a></span></code>
<div class="block">Расстояние до ближней секущей плоскости.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#projmtx">projmtx</a></span></code>
<div class="block">Матрица проекции.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#TAG">TAG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#TOUCH_QUEUE_SIZE">TOUCH_QUEUE_SIZE</a></span></code>
<div class="block">Размер очереди касаний экрана.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#viewmtx">viewmtx</a></span></code>
<div class="block">Матрица вида.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.app.Activity">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;android.app.Activity</h3>
<code>DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.content.Context">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;android.content.Context</h3>
<code>ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_IMPORTANT, BIND_NOT_FOREGROUND, BIND_WAIVE_PRIORITY, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, CROSS_PROFILE_APPS_SERVICE, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, EUICC_SERVICE, FINGERPRINT_SERVICE, HARDWARE_PROPERTIES_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, IPSEC_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, POWER_SERVICE, PRINT_SERVICE, RECEIVER_VISIBLE_TO_INSTANT_APPS, RESTRICTIONS_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, SHORTCUT_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, TELECOM_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_RTT_RANGING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.content.ComponentCallbacks2">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;android.content.ComponentCallbacks2</h3>
<code>TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#MainActivity--">MainActivity</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#addPoint2f-com.google.ar.core.Pose-javax.vecmath.Vector2f...-">addPoint2f</a></span>(com.google.ar.core.Pose&nbsp;planePose,
          javax.vecmath.Vector2f...&nbsp;touchPoints)</code>
<div class="block">Добавляет точку в текущую линию.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#addPoint3f-javax.vecmath.Vector3f...-">addPoint3f</a></span>(javax.vecmath.Vector3f...&nbsp;newPoint)</code>
<div class="block">Добавляет точку в текущую линию.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#addStroke-int-">addStroke</a></span>(int&nbsp;color)</code>
<div class="block">Добавляет новую линию в пространство</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#clearDrawing--">clearDrawing</a></span>()</code>
<div class="block">Удаляет все линии из коллекции и указывает визуализатуру
 линий удалить все данные и обновиться.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#handleTouch-android.view.MotionEvent-">handleTouch</a></span>(android.view.MotionEvent&nbsp;tap)</code>
<div class="block">Обрабатывает нажатия на экран.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#onCreate-android.os.Bundle-">onCreate</a></span>(android.os.Bundle&nbsp;savedInstanceState)</code>
<div class="block">onCreate - часть жизненного цикла активности.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#onDrawFrame-javax.microedition.khronos.opengles.GL10-">onDrawFrame</a></span>(javax.microedition.khronos.opengles.GL10&nbsp;gl10)</code>
<div class="block">Часть жизненного цикла <code>GLSurfaceView</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#onPause--">onPause</a></span>()</code>
<div class="block">onPause - часть жизненного цикла активности.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#onResume--">onResume</a></span>()</code>
<div class="block">onResume - часть жизненного цикла активности.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#onSurfaceChanged-javax.microedition.khronos.opengles.GL10-int-int-">onSurfaceChanged</a></span>(javax.microedition.khronos.opengles.GL10&nbsp;gl10,
                int&nbsp;width,
                int&nbsp;height)</code>
<div class="block">Часть жизненного цикла <code>GLSurfaceView</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#onSurfaceCreated-javax.microedition.khronos.opengles.GL10-javax.microedition.khronos.egl.EGLConfig-">onSurfaceCreated</a></span>(javax.microedition.khronos.opengles.GL10&nbsp;gl10,
                javax.microedition.khronos.egl.EGLConfig&nbsp;eglConfig)</code>
<div class="block">Часть жизненного цикла <code>GLSurfaceView</code>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#showColorDialog--">showColorDialog</a></span>()</code>
<div class="block">Показывает диалог с палитрой.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#showStrokeDependentUI--">showStrokeDependentUI</a></span>()</code>
<div class="block">Обновляет состояние UI элементов.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#update--">update</a></span>()</code>
<div class="block">update() выполняется в потоке GL.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/MainActivity.html#updateBrushColorButton--">updateBrushColorButton</a></span>()</code>
<div class="block">Обновляет цвет селектора с палитрой.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.playground.drawingar.BaseActivity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.playground.drawingar.<a href="../../../com/playground/drawingar/BaseActivity.html" title="class in com.playground.drawingar">BaseActivity</a></h3>
<code><a href="../../../com/playground/drawingar/BaseActivity.html#getARCoreInstallErrorMessage-java.lang.Exception-">getARCoreInstallErrorMessage</a>, <a href="../../../com/playground/drawingar/BaseActivity.html#onWindowFocusChanged-boolean-">onWindowFocusChanged</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v7.app.AppCompatActivity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v7.app.AppCompatActivity</h3>
<code>addContentView, closeOptionsMenu, dispatchKeyEvent, findViewById, getDelegate, getDrawerToggleDelegate, getMenuInflater, getResources, getSupportActionBar, getSupportParentActivityIntent, invalidateOptionsMenu, onConfigurationChanged, onContentChanged, onCreateSupportNavigateUpTaskStack, onDestroy, onKeyDown, onMenuItemSelected, onMenuOpened, onPanelClosed, onPostCreate, onPostResume, onPrepareSupportNavigateUpTaskStack, onSaveInstanceState, onStart, onStop, onSupportActionModeFinished, onSupportActionModeStarted, onSupportContentChanged, onSupportNavigateUp, onTitleChanged, onWindowStartingSupportActionMode, openOptionsMenu, setContentView, setContentView, setContentView, setSupportActionBar, setSupportProgress, setSupportProgressBarIndeterminate, setSupportProgressBarIndeterminateVisibility, setSupportProgressBarVisibility, setTheme, startSupportActionMode, supportInvalidateOptionsMenu, supportNavigateUpTo, supportRequestWindowFeature, supportShouldUpRecreateTask</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v4.app.FragmentActivity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v4.app.FragmentActivity</h3>
<code>dump, getLastCustomNonConfigurationInstance, getLifecycle, getSupportFragmentManager, getSupportLoaderManager, getViewModelStore, onActivityResult, onAttachFragment, onBackPressed, onCreatePanelMenu, onCreateView, onCreateView, onLowMemory, onMultiWindowModeChanged, onNewIntent, onPictureInPictureModeChanged, onPrepareOptionsPanel, onPreparePanel, onRequestPermissionsResult, onResumeFragments, onRetainCustomNonConfigurationInstance, onRetainNonConfigurationInstance, onStateNotSaved, setEnterSharedElementCallback, setExitSharedElementCallback, startActivityForResult, startActivityForResult, startActivityFromFragment, startActivityFromFragment, startIntentSenderForResult, startIntentSenderForResult, startIntentSenderFromFragment, supportFinishAfterTransition, supportPostponeEnterTransition, supportStartPostponedEnterTransition, validateRequestPermissionsRequestCode</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v4.app.SupportActivity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v4.app.SupportActivity</h3>
<code>dispatchKeyShortcutEvent, getExtraData, putExtraData, superDispatchKeyEvent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.app.Activity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.app.Activity</h3>
<code>attachBaseContext, closeContextMenu, createPendingResult, dismissDialog, dismissKeyboardShortcutsHelper, dispatchGenericMotionEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, enterPictureInPictureMode, enterPictureInPictureMode, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getApplication, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentFocus, getFragmentManager, getIntent, getLastNonConfigurationInstance, getLayoutInflater, getLoaderManager, getLocalClassName, getMaxNumPictureInPictureActions, getMediaController, getParent, getParentActivityIntent, getPreferences, getReferrer, getRequestedOrientation, getSearchEvent, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, isActivityTransitionRunning, isChangingConfigurations, isChild, isDestroyed, isFinishing, isImmersive, isInMultiWindowMode, isInPictureInPictureMode, isLocalVoiceInteractionSupported, isTaskRoot, isVoiceInteraction, isVoiceInteractionRoot, managedQuery, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onChildTitleChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreateNavigateUpTaskStack, onCreateOptionsMenu, onCreatePanelView, onCreateThumbnail, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onLocalVoiceInteractionStarted, onLocalVoiceInteractionStopped, onMultiWindowModeChanged, onNavigateUp, onNavigateUpFromChild, onOptionsItemSelected, onOptionsMenuClosed, onPictureInPictureModeChanged, onPostCreate, onPrepareDialog, onPrepareDialog, onPrepareNavigateUpTaskStack, onPrepareOptionsMenu, onProvideAssistContent, onProvideAssistData, onProvideKeyboardShortcuts, onProvideReferrer, onRestart, onRestoreInstanceState, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onTouchEvent, onTrackballEvent, onTrimMemory, onUserInteraction, onUserLeaveHint, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, overridePendingTransition, postponeEnterTransition, recreate, registerForContextMenu, releaseInstance, removeDialog, reportFullyDrawn, requestDragAndDropPermissions, requestPermissions, requestShowKeyboardShortcuts, requestVisibleBehind, requestWindowFeature, requireViewById, runOnUiThread, setActionBar, setContentTransitionManager, setDefaultKeyMode, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setIntent, setMediaController, setPictureInPictureParams, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setShowWhenLocked, setTaskDescription, setTitle, setTitle, setTitleColor, setTurnScreenOn, setVisible, setVolumeControlStream, setVrModeEnabled, shouldShowRequestPermissionRationale, shouldUpRecreateTask, showAssist, showDialog, showDialog, showLockTaskEscapeMessage, startActionMode, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderFromChild, startIntentSenderFromChild, startLocalVoiceInteraction, startLockTask, startManagingCursor, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLocalVoiceInteraction, stopLockTask, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterForContextMenu</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.view.ContextThemeWrapper">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.view.ContextThemeWrapper</h3>
<code>applyOverrideConfiguration, getAssets, getTheme</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.content.ContextWrapper">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.content.ContextWrapper</h3>
<code>bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, clearWallpaper, createConfigurationContext, createContextForSplit, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDir, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainExecutor, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getSharedPreferences, getSystemServiceName, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isDeviceProtectedStorage, isRestricted, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setWallpaper, setWallpaper, startForegroundService, startInstrumentation, startService, stopService, unbindService, unregisterReceiver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.content.Context">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.content.Context</h3>
<code>getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.view.Window.Callback">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;android.view.Window.Callback</h3>
<code>onPointerCaptureChanged</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TAG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TAG</h4>
<pre>private static final&nbsp;java.lang.String TAG</pre>
</li>
</ul>
<a name="TOUCH_QUEUE_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOUCH_QUEUE_SIZE</h4>
<pre>private static final&nbsp;int TOUCH_QUEUE_SIZE</pre>
<div class="block">Размер очереди касаний экрана.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.playground.drawingar.MainActivity.TOUCH_QUEUE_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NEAR_CLIP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NEAR_CLIP</h4>
<pre>private static final&nbsp;float NEAR_CLIP</pre>
<div class="block">Расстояние до ближней секущей плоскости.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.playground.drawingar.MainActivity.NEAR_CLIP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAR_CLIP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAR_CLIP</h4>
<pre>private static final&nbsp;float FAR_CLIP</pre>
<div class="block">Расстояние до дальней секущей плоскости.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.playground.drawingar.MainActivity.FAR_CLIP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LINE_WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINE_WIDTH</h4>
<pre>private static final&nbsp;float LINE_WIDTH</pre>
<div class="block">Толщина создаваемых линий.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.playground.drawingar.MainActivity.LINE_WIDTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="mSession">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mSession</h4>
<pre>com.google.ar.core.Session mSession</pre>
<div class="block">Управляет состоянием системы AR и жизненным циклом сеанса.</div>
</li>
</ul>
<a name="mFrame">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mFrame</h4>
<pre>com.google.ar.core.Frame mFrame</pre>
<div class="block">Следит за состоянием и изменениями в системе AR.</div>
</li>
</ul>
<a name="mSurfaceView">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mSurfaceView</h4>
<pre>private&nbsp;android.opengl.GLSurfaceView mSurfaceView</pre>
<div class="block">Поверхность, на которой происходит отрисовка OpenGL.</div>
</li>
</ul>
<a name="mClearDrawingButton">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mClearDrawingButton</h4>
<pre>private&nbsp;android.widget.ImageButton mClearDrawingButton</pre>
</li>
</ul>
<a name="mUndoButton">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mUndoButton</h4>
<pre>private&nbsp;android.widget.ImageButton mUndoButton</pre>
</li>
</ul>
<a name="mBrushColorPicker">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mBrushColorPicker</h4>
<pre>private&nbsp;android.widget.FrameLayout mBrushColorPicker</pre>
</li>
</ul>
<a name="mBrushColorOval">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mBrushColorOval</h4>
<pre>private&nbsp;android.widget.ImageView mBrushColorOval</pre>
</li>
</ul>
<a name="mMessageSnackbarHelper">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mMessageSnackbarHelper</h4>
<pre>private final&nbsp;<a href="../../../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a> mMessageSnackbarHelper</pre>
<div class="block">Помощник при работе со снекбаром.</div>
</li>
</ul>
<a name="mDisplayRotationHelper">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mDisplayRotationHelper</h4>
<pre>private&nbsp;<a href="../../../com/playground/drawingar/helpers/DisplayRotationHelper.html" title="class in com.playground.drawingar.helpers">DisplayRotationHelper</a> mDisplayRotationHelper</pre>
<div class="block">Помощник при работе со сменой конфигурации экрана.</div>
</li>
</ul>
<a name="mBackgroundRenderer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mBackgroundRenderer</h4>
<pre>private final&nbsp;<a href="../../../com/playground/drawingar/rendering/BackgroundRenderer.html" title="class in com.playground.drawingar.rendering">BackgroundRenderer</a> mBackgroundRenderer</pre>
<div class="block">Визуализатор видеопотока.</div>
</li>
</ul>
<a name="mPointCloudRenderer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPointCloudRenderer</h4>
<pre>private final&nbsp;<a href="../../../com/playground/drawingar/rendering/PointCloudRenderer.html" title="class in com.playground.drawingar.rendering">PointCloudRenderer</a> mPointCloudRenderer</pre>
<div class="block">Визуализатор множества маркеров.</div>
</li>
</ul>
<a name="mLineShaderRenderer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLineShaderRenderer</h4>
<pre>private final&nbsp;<a href="../../../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering">LineShaderRenderer</a> mLineShaderRenderer</pre>
<div class="block">Визуализатор линий.</div>
</li>
</ul>
<a name="projmtx">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>projmtx</h4>
<pre>private&nbsp;float[] projmtx</pre>
<div class="block">Матрица проекции.</div>
</li>
</ul>
<a name="viewmtx">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>viewmtx</h4>
<pre>private&nbsp;float[] viewmtx</pre>
<div class="block">Матрица вида.</div>
</li>
</ul>
<a name="mUserRequestedARCoreInstall">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mUserRequestedARCoreInstall</h4>
<pre>private&nbsp;boolean mUserRequestedARCoreInstall</pre>
</li>
</ul>
<a name="mLastTouch">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLastTouch</h4>
<pre>private&nbsp;javax.vecmath.Vector2f mLastTouch</pre>
<div class="block">Координаты последнего касания.</div>
</li>
</ul>
<a name="bTouchDown">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bTouchDown</h4>
<pre>private&nbsp;java.util.concurrent.atomic.AtomicBoolean bTouchDown</pre>
<div class="block">Линия в процессе построения.</div>
</li>
</ul>
<a name="bClearDrawing">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bClearDrawing</h4>
<pre>private&nbsp;java.util.concurrent.atomic.AtomicBoolean bClearDrawing</pre>
<div class="block">Пользователь решил удалить все линии.</div>
</li>
</ul>
<a name="bUndo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bUndo</h4>
<pre>private&nbsp;java.util.concurrent.atomic.AtomicBoolean bUndo</pre>
<div class="block">Пользователь отменил последнее действие.</div>
</li>
</ul>
<a name="mTouchQueueSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mTouchQueueSize</h4>
<pre>private&nbsp;java.util.concurrent.atomic.AtomicInteger mTouchQueueSize</pre>
<div class="block">Размер заполненной очереди касаний экрана.</div>
</li>
</ul>
<a name="mTouchQueue">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mTouchQueue</h4>
<pre>private&nbsp;java.util.concurrent.atomic.AtomicReferenceArray&lt;javax.vecmath.Vector2f&gt; mTouchQueue</pre>
<div class="block">Очередь касаний экрана.</div>
</li>
</ul>
<a name="mPlanePose">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPlanePose</h4>
<pre>private volatile&nbsp;com.google.ar.core.Pose mPlanePose</pre>
<div class="block">Плоскость, на которую проецируются линии.</div>
</li>
</ul>
<a name="bSelectedColor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bSelectedColor</h4>
<pre>private&nbsp;java.util.concurrent.atomic.AtomicInteger bSelectedColor</pre>
<div class="block">Идентификатор ресурса текущего цвета линий.</div>
</li>
</ul>
<a name="mStrokes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mStrokes</h4>
<pre>java.util.List&lt;<a href="../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a>&gt; mStrokes</pre>
<div class="block">Список всех линий.</div>
</li>
</ul>
<a name="bNewStroke">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bNewStroke</h4>
<pre>private&nbsp;java.util.concurrent.atomic.AtomicBoolean bNewStroke</pre>
<div class="block">Новая линия.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MainActivity--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MainActivity</h4>
<pre>public&nbsp;MainActivity()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onCreate-android.os.Bundle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreate</h4>
<pre>protected&nbsp;void&nbsp;onCreate(android.os.Bundle&nbsp;savedInstanceState)</pre>
<div class="block">onCreate - часть жизненного цикла активности.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onCreate</code>&nbsp;in class&nbsp;<code>android.support.v7.app.AppCompatActivity</code></dd>
</dl>
</li>
</ul>
<a name="showColorDialog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showColorDialog</h4>
<pre>private&nbsp;void&nbsp;showColorDialog()</pre>
<div class="block">Показывает диалог с палитрой.</div>
</li>
</ul>
<a name="updateBrushColorButton--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateBrushColorButton</h4>
<pre>private&nbsp;void&nbsp;updateBrushColorButton()</pre>
<div class="block">Обновляет цвет селектора с палитрой.</div>
</li>
</ul>
<a name="onResume--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onResume</h4>
<pre>protected&nbsp;void&nbsp;onResume()</pre>
<div class="block">onResume - часть жизненного цикла активности.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onResume</code>&nbsp;in class&nbsp;<code>android.support.v4.app.FragmentActivity</code></dd>
</dl>
</li>
</ul>
<a name="onPause--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPause</h4>
<pre>protected&nbsp;void&nbsp;onPause()</pre>
<div class="block">onPause - часть жизненного цикла активности.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onPause</code>&nbsp;in class&nbsp;<code>android.support.v4.app.FragmentActivity</code></dd>
</dl>
</li>
</ul>
<a name="onSurfaceCreated-javax.microedition.khronos.opengles.GL10-javax.microedition.khronos.egl.EGLConfig-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSurfaceCreated</h4>
<pre>public&nbsp;void&nbsp;onSurfaceCreated(javax.microedition.khronos.opengles.GL10&nbsp;gl10,
                             javax.microedition.khronos.egl.EGLConfig&nbsp;eglConfig)</pre>
<div class="block">Часть жизненного цикла <code>GLSurfaceView</code>.
 Вызывается при создании поверхности.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onSurfaceCreated</code>&nbsp;in interface&nbsp;<code>android.opengl.GLSurfaceView.Renderer</code></dd>
</dl>
</li>
</ul>
<a name="onSurfaceChanged-javax.microedition.khronos.opengles.GL10-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSurfaceChanged</h4>
<pre>public&nbsp;void&nbsp;onSurfaceChanged(javax.microedition.khronos.opengles.GL10&nbsp;gl10,
                             int&nbsp;width,
                             int&nbsp;height)</pre>
<div class="block">Часть жизненного цикла <code>GLSurfaceView</code>.
 Вызывается при изменении размера поверхности.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onSurfaceChanged</code>&nbsp;in interface&nbsp;<code>android.opengl.GLSurfaceView.Renderer</code></dd>
</dl>
</li>
</ul>
<a name="onDrawFrame-javax.microedition.khronos.opengles.GL10-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDrawFrame</h4>
<pre>public&nbsp;void&nbsp;onDrawFrame(javax.microedition.khronos.opengles.GL10&nbsp;gl10)</pre>
<div class="block">Часть жизненного цикла <code>GLSurfaceView</code>.
 Вызывается при отрисовки текущего кадра</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onDrawFrame</code>&nbsp;in interface&nbsp;<code>android.opengl.GLSurfaceView.Renderer</code></dd>
</dl>
</li>
</ul>
<a name="update--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>private&nbsp;void&nbsp;update()</pre>
<div class="block">update() выполняется в потоке GL.
 Метод выполняет все операции, которые необходимо выполнить перед рисованием на экране.
 Метод:
 извлекает матрицы проекции и виды;
 занимается добавлением новых линий и множества маркеров в коллекции;
 обновляет визуализаторы новыми данными.</div>
</li>
</ul>
<a name="clearDrawing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearDrawing</h4>
<pre>private&nbsp;void&nbsp;clearDrawing()</pre>
<div class="block">Удаляет все линии из коллекции и указывает визуализатуру
 линий удалить все данные и обновиться.</div>
</li>
</ul>
<a name="showStrokeDependentUI--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showStrokeDependentUI</h4>
<pre>private&nbsp;void&nbsp;showStrokeDependentUI()</pre>
<div class="block">Обновляет состояние UI элементов.</div>
</li>
</ul>
<a name="addStroke-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStroke</h4>
<pre>private&nbsp;void&nbsp;addStroke(int&nbsp;color)</pre>
<div class="block">Добавляет новую линию в пространство</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - цвет новой линии.</dd>
</dl>
</li>
</ul>
<a name="addPoint2f-com.google.ar.core.Pose-javax.vecmath.Vector2f...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPoint2f</h4>
<pre>private&nbsp;void&nbsp;addPoint2f(com.google.ar.core.Pose&nbsp;planePose,
                        javax.vecmath.Vector2f...&nbsp;touchPoints)</pre>
<div class="block">Добавляет точку в текущую линию.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>planePose</code> - Плоскость, на которую проецируется точка.</dd>
<dd><code>touchPoints</code> - Координаты точек на экране, которые будут проецированы в пространство.</dd>
</dl>
</li>
</ul>
<a name="addPoint3f-javax.vecmath.Vector3f...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPoint3f</h4>
<pre>private&nbsp;void&nbsp;addPoint3f(javax.vecmath.Vector3f...&nbsp;newPoint)</pre>
<div class="block">Добавляет точку в текущую линию.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPoint</code> - Координаты точек в мировом пространстве.</dd>
</dl>
</li>
</ul>
<a name="handleTouch-android.view.MotionEvent-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>handleTouch</h4>
<pre>private&nbsp;boolean&nbsp;handleTouch(android.view.MotionEvent&nbsp;tap)</pre>
<div class="block">Обрабатывает нажатия на экран.
 Здесь происходит поиск плоскости, на которую будет проецировать линия.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tap</code> - Касание экрана в виде объекта класса <code>MotionEvent</code>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html" title="class in com.playground.drawingar"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/playground/drawingar/PermissionsActivity.html" title="class in com.playground.drawingar"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/playground/drawingar/MainActivity.html" target="_top">Frames</a></li>
<li><a href="MainActivity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.android.support.v4.app.SupportActivity">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
